DOM::DOMString class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::DOMString Class Reference

This class implements the basic string we use in the DOM. More...

`#include <dom_string.h>`

List of all members.

## Public Member Functions
| DOMString ()
| default constructor.
| DOMString (const QChar *str, uint len)
| DOMString (const QString &)
| DOMString (const char *str)
| DOMString (DOMStringImpl *i)
| DOMString (const DOMString &str)
DOMString & | operator= (const DOMString &str)
DOMString & | operator+= (const DOMString &str)
| append str to this string
DOMString | operator+ (const DOMString &str)
| add two DOMString's
void | insert (DOMString str, uint pos)
const QChar & | operator[] (unsigned int i) const
| The character at position i of the DOMString.
int | find (const QChar c, int start=0) const
uint | length () const
void | truncate (unsigned int len)
void | remove (unsigned int pos, int len=1)
DOMString | split (unsigned int pos)
| Splits the string into two.
DOMString | lower () const
| Returns a lowercase version of the string.
DOMString | upper () const
| Returns an uppercase version of the string.
QChar * | unicode () const
QString | string () const
int | toInt () const
bool | percentage (int &_percentage) const
DOMString | copy () const
bool | isNull () const
bool | isEmpty () const
DOMStringImpl * | implementation () const
## Protected Attributes
DOMStringImpl * | impl
## Friends
class | CharacterDataImpl
bool | operator== (const DOMString &a, const char *b)

## Detailed Description

This class implements the basic string we use in the DOM.

We do not use QString for 2 reasons: Memory overhead, and the missing explicit sharing of strings we need for the DOM.

All DOMStrings are explicitly shared (they behave like pointers), meaning that modifications to one instance will also modify all others. If you wish to get a DOMString that is independent, use copy().

Definition at line 41 of file dom_string.h.

## Constructor & Destructor Documentation

DOMString::DOMString | ( |  | ) |

| default constructor. Gives an empty DOMString Definition at line 29 of file dom_string.cpp. Referenced by lower(), split(), and upper().

## Member Function Documentation

DOMString & DOMString::operator+= | ( | const DOMString & | str | ) |

| append str to this string Definition at line 89 of file dom_string.cpp. References impl.

DOMString DOMString::operator+ | ( | const DOMString & | str | ) |

| add two DOMString's Definition at line 109 of file dom_string.cpp. References copy(), and impl.

const QChar & DOMString::operator[] | ( | unsigned int | i | ) | const

| The character at position i of the DOMString. If i >= length(), the character returned will be 0. Definition at line 134 of file dom_string.cpp.

DOMString DOMString::split | ( | unsigned int | pos | ) |

| Splits the string into two. The original string gets truncated to pos, and the rest is returned. Definition at line 171 of file dom_string.cpp. References DOMString().

DOMString DOMString::lower | ( |  | ) | const

| Returns a lowercase version of the string. Definition at line 177 of file dom_string.cpp. References DOMString().

DOMString DOMString::upper | ( |  | ) | const

| Returns an uppercase version of the string. Definition at line 183 of file dom_string.cpp. References DOMString(). Referenced by DOM::Node::isSupported().

The documentation for this class was generated from the following files:

- dom_string.h
- dom_string.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:15 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001